diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 571ab29..1e1ee38 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -115565,7 +115565,8 @@ NumberFormats(): NFexports == NFimplementation where
            -- if there is an "E" then there must be a "."
            -- this is not caught by code above
            -- also if the exponent is v.big the above returns false
-           not (any?(#1=char "E",s) and not any?(#1=char ".",s) )
+           not (any?((c1:C):Boolean +-> c1=char "E",s) 
+             and not any?((c2:C):Boolean +-> c2=char ".",s) )
 
 --        Original interpreter function:
 --        )lis (defun scanstr(x) (spadcomp::|parseFromString| x))
diff --git a/changelog b/changelog
index fdf6ba7..d084a26 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.02.tpd.patch
+20090609 tpd books/bookvol10.4 NUMFMT +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.01.tpd.patch
 20090609 tpd books/bookvol10.4 NPCOEF +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bc494c5..ab6bb1e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1515,5 +1515,7 @@ bookvol10.4 MULTSQFR +-> conversion<br/>
 bookvol10.4 NORMMA +-> conversion<br/>
 <a href="patches/20090609.01.tpd.patch">20090609.01.tpd.patch</a>
 bookvol10.4 NPCOEF +-> conversion<br/>
+<a href="patches/20090609.02.tpd.patch">20090609.02.tpd.patch</a>
+bookvol10.4 NUMFMT +-> conversion<br/>
  </body>
 </html>
